### Type parameters

- #### T

- #### TReturn = any

- #### TNext = undefined

### Hierarchy

- AsyncIterator
  - AsyncIterableIterator
  - AsyncGenerator

## Index

### Methods

- next
- return
- throw

## Methods

### next

- next(...args: [] | [TNext]): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### Rest ...args: [] | [TNext]

  #### Returns Promise<IteratorResult<T, TReturn>>

### Optional return

- return(value?: TReturn | PromiseLike<TReturn>): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### Optional value: TReturn | PromiseLike<TReturn>

  #### Returns Promise<IteratorResult<T, TReturn>>

### Optional throw

- throw(e?: any): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### Optional e: any

  #### Returns Promise<IteratorResult<T, TReturn>>

Generated using TypeDoc